
    drop table menuhead onerror warning; 

    create table menuhead
       (menuname      char(10),
        title1        char(76),
        title2        char(76),
        prevmenu      char(10),
        template      char(18),
        ncolumns      smallint,
        nmenufields   smallint,
        format        char(1),
        urow          smallint,
        ucol          smallint,
        lrow          smallint,
        lcol          smallint
         );


   create unique index mhmenukey
        on menuhead ( menuname);



    drop table menufield onerror warning;

    create table menufield
       (menuname      char(10),
        itemnum       smallint,
        itemdesc      char(60),
        exectype      char(1),
        execline      char(80),
        password      char(8),
        clearscr      char( 1),
        startcr       char(1),
        endcr      char(1)
         );

   create unique index mfmenukey
        on menufield ( menuname, itemnum);





insert into menuhead (menuname, title1, title2, prevmenu, template, ncolumns, nmenufields, format, urow, ucol, lrow, lcol) values 
("B","Example Menu Using Template","","M","bookmenu","0","0","","0","0","0","0");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","1","Booking Entry (ADD)","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","2","Booking Entry (CHANGE)","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","3","Adjustments Entry","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","4","Cancellation Entry","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","5","Receipt Entry","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","6","Check Entry","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","7","Check Entry - Groups","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","8","Check Entry - Insurance","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","9","Check Entry - Air Report","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","10","Bookings","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","11","Open Balances","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","12","Open Balances Summary","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","13","Open Balances by Group","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","14","Booking Statistics","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","15","Booking Analysis","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","16","Post Bookings","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("B","17","Purge Bookings","P","","","","","");


insert into menuhead (menuname, title1, title2, prevmenu, template, ncolumns, nmenufields, format, urow, ucol, lrow, lcol) values 
("D","Development Menu","","M","","0","0","","0","0","0","0");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("D","1","Set Source File Name","F","fxdevel x","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("D","2","Edit Source","F","fxdevel e","","Y","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("D","3","Process Source","F","fxdevel p","","Y","","Y");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("D","4","Compile and Link C Userexits","F","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("D","5","Test Program","F","fxdevel s","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("D","6","Modify Central File","F","flex sysfile cda","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("D","7","Modify Menu","F","flex cwmenu cdsa","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("D","8","Modify Dictionary","F","","","","","");


insert into menuhead (menuname, title1, title2, prevmenu, template, ncolumns, nmenufields, format, urow, ucol, lrow, lcol) values 
("M","Master Menu","","","demomenu","0","0","","0","0","0","0");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("M","1","Example Menu Using Template","M","B","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("M","2","Example Popup Menu","M","W","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("M","3","Example Simple Screen","F","flex tbagent cdsa","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("M","4","Example Complex Screen","F","flex bkinput cdsa","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("M","5","Example Simple Report","F","flex tbagentr","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("M","6","Example Complex Report","F","flex saagent","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("M","7","Development Menu","M","D","","","","");


insert into menuhead (menuname, title1, title2, prevmenu, template, ncolumns, nmenufields, format, urow, ucol, lrow, lcol) values 
("W","Example Popup Menu","","M","","0","0","O","9","44","17","62");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("W","1","Select","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("W","2","Edit","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("W","3","Erase all","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("W","4","Print","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("W","5","Post","P","","","","","");

insert into menuhead (menuname, title1, title2, prevmenu, template, ncolumns, nmenufields, format, urow, ucol, lrow, lcol) values 
("W1","Example Recursive Popup Menu","","W","","0","0","O","12","40","19","62");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("W1","1","Select","P","demoflex tbagent","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("W1","2","Edit","P","","","","","");
    insert into menufield (menuname, itemnum, itemdesc, exectype, execline, password, clearscr, startcr,endcr) values 
    ("W1","3","Erase all","P","","","","","");
