

erase dicttable;
erase dictcolumn;
erase dictjoin;
erase qfmodule;
erase qfrelation;
erase qftable;
erase qfcolumn;
erase qfreport;

insert into dicttable (tabsqlname, tabname, ncols, nindexes, comment) values
    ("bkdetail", "Invoice Detail", "8", "", "");
insert into dicttable (tabsqlname, tabname, ncols, nindexes, comment) values
    ("bkmaster", "Invoice Master", "5", "", "");
insert into dicttable (tabsqlname, tabname, ncols, nindexes, comment) values
    ("bknote", "Notes", "4", "", "");
insert into dicttable (tabsqlname, tabname, ncols, nindexes, comment) values
    ("menuhead", "menuhead", "12", "", "");
insert into dicttable (tabsqlname, tabname, ncols, nindexes, comment) values
    ("menufield", "menufield", "9", "", "");
insert into dicttable (tabsqlname, tabname, ncols, nindexes, comment) values
    ("sysfile", "sysfile", "2", "", "");
insert into dicttable (tabsqlname, tabname, ncols, nindexes, comment) values
    ("tbagent", "Agent Table", "9", "", "");
insert into dicttable (tabsqlname, tabname, ncols, nindexes, comment) values
    ("tbven", "Supplier Table", "6", "", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkdetail", "recno", "110", "Serial No", "serial", "6", "4", "", "", "Serial No", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkdetail", "bkno", "56", "Booking Number", "integer", "2", "4", "", "#####", "BookNo", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkdetail", "bookdate", "57", "Booking Date", "date", "7", "4", "", "MM/DD/YY", "Book Date", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkdetail", "supplier", "58", "Supplier", "char", "0", "6", "", "", "Supplier", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkdetail", "ship", "59", "Ship", "char", "0", "6", "", "", "Ship", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkdetail", "departdate", "60", "Depart Date", "date", "7", "4", "", "", "Depart", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkdetail", "descript", "61", "Description", "char", "0", "20", "", "", "Description", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkdetail", "salamount", "62", "Sales Amount", "money", "8", "16", "2", "---,--#.##", "Sale Amount", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkmaster", "bkno", "63", "Book Number", "serial", "6", "4", "", "#####", "BookNo", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkmaster", "name", "64", "Client Name", "char", "0", "20", "", "", "Client Name", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkmaster", "bookdate", "65", "Book Date", "date", "7", "4", "", "", "Book Date", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkmaster", "agent", "66", "Agent", "char", "0", "4", "", "", "Agent", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bkmaster", "salamount", "67", "Sale Amount", "money", "8", "16", "2", "---,--#.##", "Sale Amount", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bknote", "bkno", "68", "Book No", "integer", "2", "4", "", "", "Book No", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bknote", "recno", "69", "recno", "integer", "2", "4", "", "", "recno", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bknote", "seqno", "70", "Seqno", "integer", "2", "4", "", "", "Seqno", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("bknote", "note", "71", "Note", "char", "0", "45", "", "", "Note", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "menuname", "72", "menuname", "char", "0", "10", "", "", "menuname", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "title1", "73", "title1", "char", "0", "76", "", "", "title1", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "title2", "74", "title2", "char", "0", "76", "", "", "title2", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "prevmenu", "75", "prevmenu", "char", "0", "10", "", "", "prevmenu", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "template", "76", "template", "char", "0", "18", "", "", "template", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "ncolumns", "77", "ncolumns", "smallint", "1", "2", "", "", "ncolumns", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "nmenufields", "78", "nmenufields", "smallint", "1", "2", "", "", "nmenufields", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "format", "79", "format", "char", "0", "1", "", "", "format", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "urow", "80", "urow", "smallint", "1", "2", "", "", "urow", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "ucol", "81", "ucol", "smallint", "1", "2", "", "", "ucol", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "lrow", "82", "lrow", "smallint", "1", "2", "", "", "lrow", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menuhead", "lcol", "83", "lcol", "smallint", "1", "2", "", "", "lcol", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menufield", "menuname", "84", "menuname", "char", "0", "10", "", "", "menuname", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menufield", "itemnum", "85", "itemnum", "smallint", "1", "2", "", "", "itemnum", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menufield", "itemdesc", "86", "itemdesc", "char", "0", "60", "", "", "itemdesc", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menufield", "exectype", "87", "exectype", "char", "0", "1", "", "", "exectype", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menufield", "execline", "88", "execline", "char", "0", "80", "", "", "execline", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menufield", "password", "89", "password", "char", "0", "8", "", "", "password", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menufield", "clearscr", "90", "clearscr", "char", "0", "1", "", "", "clearscr", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menufield", "startcr", "91", "startcr", "char", "0", "1", "", "", "startcr", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("menufield", "endcr", "92", "endcr", "char", "0", "1", "", "", "endcr", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("sysfile", "sysname", "113", "sysname", "char", "0", "10", "", "", "sysname", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("sysfile", "company", "114", "company", "char", "0", "40", "", "", "company", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbagent", "code", "95", "Code", "char", "0", "4", "", "", "Code", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbagent", "lname", "96", "Last Name", "char", "0", "15", "", "", "Last Name", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbagent", "fname", "97", "First Name", "char", "0", "10", "", "", "First Name", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbagent", "hire_date", "98", "Hire Date", "date", "7", "4", "", "", "Hire Date", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbagent", "socno", "99", "Soc Sec No", "char", "0", "13", "", "", "SocSecNo", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbagent", "raise_date", "100", "Last Raise Date", "date", "7", "4", "", "", "Last Raise", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbagent", "paymethod", "101", "Pay Method", "integer", "2", "4", "", "", "PayMethod", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbagent", "salary", "102", "Salary", "money", "8", "16", "2", "", "Salary", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbagent", "commission", "103", "Commission", "float", "3", "8", "", "", "Commission", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbven", "code", "104", "Supplier Code", "char", "0", "6", "", "", "Supplier Code", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbven", "name", "105", "Supplier Name", "char", "0", "20", "", "", "Supplier Name", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbven", "contact", "106", "Contact", "char", "0", "15", "", "", "Contact", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbven", "phone", "107", "Phone", "char", "0", "15", "", "", "Phone", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbven", "saleflag", "108", "Saleflag", "char", "0", "1", "", "", "Saleflag", "");
insert into dictcolumn (tabsqlname, colsqlname, colid, colname, coltypename, coltype, collength, declength, colformat, heading, comment) values
    ("tbven", "type", "109", "Type", "char", "0", "1", "", "", "Type", "");
insert into dictjoin (joinid, jointype, tabsqlname_from, tabsqlname_to, colsqlname1_from, colsqlname1_to, colsqlname2_from, colsqlname2_to, colsqlname3_from, colsqlname3_to, colsqlname4_from, colsqlname4_to, colsqlname5_from, colsqlname5_to, colsqlname6_from, colsqlname6_to, colsqlname7_from, colsqlname7_to, colsqlname8_from, colsqlname8_to) values
    ("100", "", "bkmaster", "bkdetail", "bkno", "bkno", "", "", "", "", "", "", "", "", "", "", "", "", "", "");
insert into dictjoin (joinid, jointype, tabsqlname_from, tabsqlname_to, colsqlname1_from, colsqlname1_to, colsqlname2_from, colsqlname2_to, colsqlname3_from, colsqlname3_to, colsqlname4_from, colsqlname4_to, colsqlname5_from, colsqlname5_to, colsqlname6_from, colsqlname6_to, colsqlname7_from, colsqlname7_to, colsqlname8_from, colsqlname8_to) values
    ("101", "", "bkdetail", "tbven", "supplier", "code", "", "", "", "", "", "", "", "", "", "", "", "", "", "");
insert into dictjoin (joinid, jointype, tabsqlname_from, tabsqlname_to, colsqlname1_from, colsqlname1_to, colsqlname2_from, colsqlname2_to, colsqlname3_from, colsqlname3_to, colsqlname4_from, colsqlname4_to, colsqlname5_from, colsqlname5_to, colsqlname6_from, colsqlname6_to, colsqlname7_from, colsqlname7_to, colsqlname8_from, colsqlname8_to) values
    ("102", "", "bkmaster", "tbagent", "agent", "code", "", "", "", "", "", "", "", "", "", "", "", "", "", "");
insert into dictjoin (joinid, jointype, tabsqlname_from, tabsqlname_to, colsqlname1_from, colsqlname1_to, colsqlname2_from, colsqlname2_to, colsqlname3_from, colsqlname3_to, colsqlname4_from, colsqlname4_to, colsqlname5_from, colsqlname5_to, colsqlname6_from, colsqlname6_to, colsqlname7_from, colsqlname7_to, colsqlname8_from, colsqlname8_to) values
    ("103", "", "bkdetail", "bknote", "bkno", "bkno", "recno", "recno", "", "", "", "", "", "", "", "", "", "", "", "");
insert into dictjoin (joinid, jointype, tabsqlname_from, tabsqlname_to, colsqlname1_from, colsqlname1_to, colsqlname2_from, colsqlname2_to, colsqlname3_from, colsqlname3_to, colsqlname4_from, colsqlname4_to, colsqlname5_from, colsqlname5_to, colsqlname6_from, colsqlname6_to, colsqlname7_from, colsqlname7_to, colsqlname8_from, colsqlname8_to) values
    ("105", "", "bkmaster", "bknote", "bkno", "bkno", "", "", "", "", "", "", "", "", "", "", "", "", "", "");
insert into qfmodule (modid, name, seqno, markseqno) values
    ("10", "Sales", "", "");
insert into qfmodule (modid, name, seqno, markseqno) values
    ("20", "Accounts Receivable", "", "");
insert into qfmodule (modid, name, seqno, markseqno) values
    ("30", "Accounts Payable", "", "");
insert into qfmodule (modid, name, seqno, markseqno) values
    ("90", "General Ledger", "", "");
insert into qfmodule (modid, name, seqno, markseqno) values
    ("9999999", "ALL Tables", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("10", "11", "Invoices", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("10", "12", "Statistics", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("10", "13", "Notes", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("10", "14", "Agents", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("10", "15", "Vendors", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("20", "21", "Invoices", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("20", "22", "Customers", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("20", "23", "Check Register", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("20", "24", "Distribution", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("30", "21", "Invoices", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("30", "22", "Vendors", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("30", "23", "Check Register", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("30", "24", "Distribution", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("90", "31", "Accounts", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("90", "33", "Trial Balance", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("90", "32", "Budget", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("9999999", "115", "tbven", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("9999999", "114", "tbagent", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("9999999", "113", "sysfile", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("9999999", "112", "menuhead", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("9999999", "111", "menufield", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("9999999", "110", "bknote", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("9999999", "109", "bkmaster", "", "");
insert into qfrelation (modid, relid, name, seqno, markseqno) values
    ("9999999", "108", "bkdetail", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("10", "11", "100", "bkmaster", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("10", "11", "101", "bkdetail", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("10", "11", "102", "tbagent", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("10", "11", "103", "tbven", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("10", "12", "104", "bkmaster", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("10", "14", "108", "tbagent", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("10", "13", "110", "bknote", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("10", "13", "107", "bkmaster", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("10", "15", "109", "tbven", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("9999999", "115", "126", "tbven", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("9999999", "114", "125", "tbagent", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("9999999", "113", "124", "sysfile", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("9999999", "112", "123", "menuhead", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("9999999", "111", "122", "menufield", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("9999999", "110", "121", "bknote", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("9999999", "109", "120", "bkmaster", "", "");
insert into qftable (modid, relid, tabid, tabsqlname, seqno, markseqno) values
    ("9999999", "108", "119", "bkdetail", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "1", "bkmaster", "bkno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "2", "bkmaster", "name", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "3", "bkmaster", "bookdate", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "4", "bkmaster", "agent", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "5", "bkmaster", "salamount", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "72", "tbagent", "salary", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "66", "tbagent", "lname", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "69", "tbagent", "socno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "71", "tbagent", "paymethod", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "68", "tbagent", "hire_date", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "67", "tbagent", "fname", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "70", "tbagent", "raise_date", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "65", "tbagent", "code", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "51", "tbven", "name", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "54", "tbven", "saleflag", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "48", "bkdetail", "salamount", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "53", "tbven", "phone", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "43", "bkdetail", "bookdate", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "73", "tbagent", "commission", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "52", "tbven", "contact", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "42", "bkdetail", "bkno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "50", "tbven", "code", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "44", "bkdetail", "supplier", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "45", "bkdetail", "ship", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "47", "bkdetail", "descript", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "46", "bkdetail", "departdate", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "49", "bkdetail", "recno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "11", "55", "tbven", "type", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "12", "74", "bkmaster", "bkno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "12", "75", "bkmaster", "name", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "12", "76", "bkmaster", "bookdate", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "12", "77", "bkmaster", "agent", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "12", "78", "bkmaster", "salamount", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "14", "103", "tbagent", "salary", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "14", "102", "tbagent", "paymethod", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "14", "96", "tbagent", "code", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "14", "97", "tbagent", "lname", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "14", "101", "tbagent", "raise_date", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "14", "100", "tbagent", "socno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "14", "98", "tbagent", "fname", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "14", "99", "tbagent", "hire_date", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "13", "114", "bknote", "note", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "13", "112", "bknote", "recno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "13", "111", "bknote", "bkno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "13", "113", "bknote", "seqno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "13", "91", "bkmaster", "bkno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "13", "92", "bkmaster", "name", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "13", "93", "bkmaster", "bookdate", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "13", "94", "bkmaster", "agent", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "13", "95", "bkmaster", "salamount", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "14", "104", "tbagent", "commission", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "15", "105", "tbven", "code", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "15", "106", "tbven", "name", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "15", "107", "tbven", "contact", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "15", "108", "tbven", "phone", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "15", "109", "tbven", "saleflag", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("10", "15", "110", "tbven", "type", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "115", "224", "tbven", "type", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "115", "223", "tbven", "saleflag", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "114", "217", "tbagent", "salary", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "114", "218", "tbagent", "commission", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "115", "222", "tbven", "phone", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "115", "221", "tbven", "contact", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "115", "219", "tbven", "code", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "115", "220", "tbven", "name", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "114", "215", "tbagent", "raise_date", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "114", "213", "tbagent", "hire_date", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "114", "214", "tbagent", "socno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "114", "216", "tbagent", "paymethod", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "114", "212", "tbagent", "fname", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "114", "211", "tbagent", "lname", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "113", "209", "sysfile", "company", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "113", "208", "sysfile", "sysname", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "114", "210", "tbagent", "code", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "201", "menuhead", "ncolumns", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "202", "menuhead", "nmenufields", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "203", "menuhead", "format", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "204", "menuhead", "urow", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "205", "menuhead", "ucol", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "200", "menuhead", "template", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "207", "menuhead", "lcol", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "199", "menuhead", "prevmenu", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "206", "menuhead", "lrow", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "111", "195", "menufield", "endcr", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "111", "190", "menufield", "exectype", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "111", "189", "menufield", "itemdesc", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "111", "192", "menufield", "password", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "111", "191", "menufield", "execline", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "111", "194", "menufield", "startcr", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "111", "193", "menufield", "clearscr", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "198", "menuhead", "title2", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "111", "187", "menufield", "menuname", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "111", "188", "menufield", "itemnum", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "196", "menuhead", "menuname", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "112", "197", "menuhead", "title1", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "110", "185", "bknote", "seqno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "110", "186", "bknote", "note", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "110", "184", "bknote", "recno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "109", "180", "bkmaster", "bookdate", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "109", "182", "bkmaster", "salamount", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "109", "181", "bkmaster", "agent", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "108", "176", "bkdetail", "salamount", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "109", "178", "bkmaster", "bkno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "109", "179", "bkmaster", "name", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "108", "177", "bkdetail", "recno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "110", "183", "bknote", "bkno", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "108", "175", "bkdetail", "descript", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "108", "173", "bkdetail", "ship", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "108", "174", "bkdetail", "departdate", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "108", "172", "bkdetail", "supplier", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "108", "171", "bkdetail", "bookdate", "", "");
insert into qfcolumn (modid, relid, colid, tabsqlname, colsqlname, seqno, markseqno) values
    ("9999999", "108", "170", "bkdetail", "bkno", "", "");

/***
insert into qfreport (modid, relid, owner, seqno, rptid, rptname, createdate, createtime, title, comment) values
    ("10", "11", "gerard", "100", "1", "agent", "08/01/96", "09:50:01", "Sales Report", "");
insert into qfreport (modid, relid, owner, seqno, rptid, rptname, createdate, createtime, title, comment) values
    ("10", "11", "gerard", "100", "2", "supplier", "08/01/96", "09:56:01", "Sales Report", "");
insert into qfreport (modid, relid, owner, seqno, rptid, rptname, createdate, createtime, title, comment) values
    ("10", "11", "general", "100", "8", "agentsale", "08/01/96", "10:00:00", "Sales Report by Agent", "");
insert into qfreport (modid, relid, owner, seqno, rptid, rptname, createdate, createtime, title, comment) values
    ("10", "11", "general", "100", "4", "agent", "08/01/96", "09:58:00", "Sales Report by Agent", "");
insert into qfreport (modid, relid, owner, seqno, rptid, rptname, createdate, createtime, title, comment) values
    ("10", "11", "general", "100", "5", "sales1", "08/01/96", "09:59:00", "Sales Report by Supplier", "");
insert into qfreport (modid, relid, owner, seqno, rptid, rptname, createdate, createtime, title, comment) values
    ("10", "11", "general", "100", "6", "sales 2", "08/01/96", "09:59:00", "Sales Report by supplier", "");
insert into qfreport (modid, relid, owner, seqno, rptid, rptname, createdate, createtime, title, comment) values
    ("10", "11", "general", "100", "7", "supstat", "08/01/96", "10:00:00", "Sales Report by Supplier", "");
insert into qfreport (modid, relid, owner, seqno, rptid, rptname, createdate, createtime, title, comment) values
    ("10", "11", "gerard", "100", "9", "mickie", "08/11/96", "12:17:00", "Title", "");
***/
