
   create table qfuser (
     usercode       char(10),  /* UNIX: use login name, DOS: prompt */
     usertype       char(10),
     password       char(10),
     description    char(25)
     );
  create unique index qfusercode
  on qfuser (usercode);

   create table qfusty (
     usertype       char(10),
     description    char(25)
     );
  create unique index qfustycode
  on qfusty (usertype);

   create table qfperm  (
     usertype    char(10),
     permtype    char(1),
     password    char(10),
     permid      serial,
     modid         integer,
     relid         integer,
     tabid         integer,
     colid         integer
     );
        create unique index  qfpermcolid
        on qfperm (usertype, modid, relid, tabid, colid, permid);

   create table qfpermre  (
     usertype    char(10),
     permtype    char(1),
     password    char(10),
     permid      serial,
     rptid         integer
     );
        create unique index  qfpermrptid
        on qfpermre (usertype, rptid, permid);

